SplObjectStorage::attach
SplObjectStorage::count
SplObjectStorage
PHP Manual

# SplObjectStorage::contains

Checks if the storage contains a specific object

### Description

public bool SplObjectStorage::contains ( object `$object` )

Checks if the storage contains the object provided.

### Parameters

`object`

  The object to look for.

### Return Values

Returns `TRUE` if the object is in the storage, `FALSE` otherwise.

### Examples

Example #1 SplObjectStorage::contains example

`<?php
$o1 = new StdClass;
$o2 = new StdClass;
$s = new SplObjectStorage();
$s[$o1] = "hello";
var_dump($s->contains($o1));
var_dump($s->contains($o2));
?>`

The above example will output something similar to:

    bool(true)
    bool(false)

### See Also

- SplObjectStorage::offsetExists